## breezy-debian 2.8.79

=== debian/changelog ===
breezy-debian (2.8.79) unstable; urgency=medium

  * Depend on breezy with fixed timezone handling. Closes: #1064713

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 26 Feb 2024 23:42:44 +0000
