=== debian/changelog ===
breezy-debian (2.8.80) unstable; urgency=medium

  * Move Vcs to Git on salsa.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 20 Mar 2025 19:41:36 +0000
