## breezy-debian 2.8.80build1

=== debian/changelog ===
breezy-debian (2.8.80build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 14 Jan 2026 19:38:57 +0000
